/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2014. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_TEXTMSG                    2       /* control type: textMsg, callback function: (none) */
#define  PANEL_INSTR_DESC                 3       /* control type: string, callback function: (none) */
#define  PANEL_IDQUERY                    4       /* control type: radioButton, callback function: (none) */
#define  PANEL_DECORATION_3               5       /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION                 6       /* control type: deco, callback function: (none) */
#define  PANEL_RESET                      7       /* control type: radioButton, callback function: (none) */
#define  PANEL_OPEN                       8       /* control type: command, callback function: openButton */
#define  PANEL_SAVE                       9       /* control type: command, callback function: saveButton */
#define  PANEL_DISPLAYON                  10      /* control type: radioButton, callback function: (none) */
#define  PANEL_FILEPATH                   11      /* control type: string, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK openButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK saveButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
